# SmarAct MCS2 Tango device server.

The device server controls both the positioners with an encoder (sensor) 
and those without an encoder (sensorless). Various device attributes
are enabled/disabled accordingly.

A MCS2 controller can control simultaneously positioners of both types. 

Typical installation consists of a socket-srv device server connected to the
controller and an instance of the Smaract device server per positioner.

Symbolic link to the Python file should be created in the deployment
directory named smaractmcs2-srv. 

Recommended GUIs for sensore-enabled and sensorless positioners are MCS2.py 
and MCS2NE.py from: https://gitlab.elettra.eu/spe/gui/motioncontrol

Device server has four properties:
* SocketDevice : socket-srv linked to the controller
* ChannelIndex : controller channel number (start with 0)
* SensorType : as specified in the MCS2PositionerTypes manual
* InitType : 0 (fwd ref),  1 (bkwd ref), 2 (auto calib/ref), 3 (No auto-init).

Please note that the sensor type codes for MCS2 controllers are entirely 
different from the MCS codes. 
